# minccino - Lightweight cloud-init server

Server application that provides cloud-init metadata via the `nocloud-net` provider. Uses the link-local IPv6 address for "authentication" by pulling MAC address information.

## Requirements

Only sqlite3 dev libraries are required for sea-orm.

## Configuration

Configuration is handled either via `minccino.toml` or `MINCCINO_` environment variables. To use the API (required for managing instances), you'll need to generate an API key and relevant hash in the config file. To generate this, run:

```
minccino genkey
```

This outputs the API key and the relevant config snippet you'll need to add to `minccino.toml` for the key.

## API Usage

All API endpoints require an `X-API-Key` header with the key generated above, and for the API client to be connected via localhost. \todo Allow overriding the latter requirement, if needed

\todo HTTP API endpoints/usage